Package Details: touchegg 1.1.1-3

Git Clone URL: (read-only)
Package Base: touchegg
Description: Multitouch gesture recognizer
Upstream URL:
Keywords: gesture multitouch touchscreen
Licenses: GPL
Submitter: matthewbauer
Maintainer: thurstylark
Last Packager: thurstylark
Votes: 72
Popularity: 3.553352
First Submitted: 2011-02-22 23:32
Last Updated: 2016-09-22 00:25

Latest Comments

thurstylark commented on 2016-09-22 00:29

Package has been updated to use Github source, and to also build and install the bundled touchegg-gui.

twisted-space commented on 2016-09-12 18:25

No Longer hosted on googlecode, touchegg has moved to github.

bmafy commented on 2016-06-22 10:06

It doesn't work with the version of xf86-input-synaptics.
Tried with a previous version ([1]) successfully.



eworm commented on 2016-04-01 16:40

This fails to build with missing XTest.h. You need to add a dependency to libxtst.

Krieger commented on 2016-01-28 17:49

None of the gestures are working for me and I'm on Gnome 3.18.2. I tried adding "touchegg &" to my ~/.xprofile but that didn't solve the problem.

patrakov commented on 2015-12-13 22:07

Please consider applying patch from in order to fix the pinch-in gesture.

bluerider commented on 2014-12-26 19:20

I'm currently using touchegg with a Touch Screen on an Asus x200CA. I can't seem to get the pinch or rotate features to work.

astex commented on 2014-10-29 17:50

Someguy and Tamashii, what kind of touch device are you using. I've worked with touchegg using a synaptics clickpad before and have had difficulty with the touch events getting through to touchegg due to the synaptics driver "grabbing them first". You might try

Someguy commented on 2014-10-28 08:09

Same problem as Tamashii. Starts without flaws but does nothing :/ Do I have to configure something else to get it actually running?

ngoonee commented on 2014-09-02 06:21

I had to install the -svn version because 1.1.1 doesn't include this fix - - probably upstream never updated their release, I can't seem to find any tarballs after 1.1.1. Just a headsup for other users.

Tamashii commented on 2014-08-23 23:45

I can't get this to work, it launches without errors but non of the gestures work. I'm using cinnnamon 2.2.16-1

chenxiaolong commented on 2013-03-04 01:51

@eBait: Fixed again :) I wish the devs would make up their mind when qt4 was still in [testing] :)

Anonymous comment on 2013-03-03 22:44

Thanks, but I have to bitch once more. Todays update of QT4 changed the command once again to qmake-qt4... Living on the edge, I guess ;)

chenxiaolong commented on 2013-03-03 08:05

@eBait: Fixed :)

Anonymous comment on 2013-03-01 13:10

Please note QT is by default version 5 now. Changing the dependency to qt4 and the qmake command to qmake4 works to fix this pkgbuild.

As described here:

chenxiaolong commented on 2012-10-22 18:13

@viniavila: Update :)

viniavila commented on 2012-10-22 14:48

touchegg 1.1.1 is out. Please, update this =)

chenxiaolong commented on 2012-09-11 23:08

@Rezero: Thanks! I actually requested to delete those packages and yet, I forgot to fix my package...oops :)

Anonymous comment on 2012-09-11 22:46

utouch-geis (and other utouch AUR packages) have been renamed, so the current package is pointing to a non-existent dependency. Please change the current dependency from 'utouch-geis' to simply 'geis'. Thanks!

chenxiaolong commented on 2012-07-25 03:54

@Jose: Thanks for the new version! I've updated the PKGBUILD to version 1.1.

Anonymous comment on 2012-07-24 19:18

Hi! I'm the Touchégg developer. The v1.1 is available adding compatibility with the new Precise uTouch version:

Anonymous comment on 2012-04-08 20:26

Tested Touchegg under Ubuntu 12.04 Beta2. Also crashes with segmentation fault. Seems it has something to do with the new utouch

Anonymous comment on 2012-03-24 20:19

I've installed all the packages after a reinstallation of the whole system included the qt-ubuntu instead of the regular one. At first the only response touchegg gave to me was for the 5 finger tap, classified as an "unknown gesture" followed by several "GRAIL WARNING (v3/gesture.cpp:IsOwned:253): failed to get touch from frame". After some restart of touchegg with this response it goes for Segmentation fault directly. I hope this could be fix and if there is anything I could do for help this project just tell me.

chenxiaolong commented on 2012-03-19 04:14

In that case, I'll have to test touchegg under Ubuntu 12.04. The Arch Linux package versions are equivalent to Ubuntu 12.04's.

Anonymous comment on 2012-03-19 00:56

finally got qt-ubuntu compiled and installed. But still the same segmentation fault, even when reverting back to the original packages. Any clue what i am doing wrong?

chenxiaolong commented on 2012-03-14 16:54

Yes, that is correct. I've posted a comment on the utouch-frame page asking to change libxi-ubuntu -> libxi. You can do it manually if you want.

Anonymous comment on 2012-03-14 16:15

@chenxiaolong: so all the package with the -ubuntu suffix has to be reinstalled with the equivalent? couse the utouch-frame require libxi-ubuntu. How I fix this??

chenxiaolong commented on 2012-03-13 20:51

And I remember reading somewhere on the Launchpad mailing lists that qt needs to be patched for multitouch. You may need to install qt-ubuntu.

chenxiaolong commented on 2012-03-13 20:49

@paulinchenk: Okay, first of all, please revert back to the Arch Linux versions of the packages. Sorry about that! The new Xorg now includes the XInput 2.2 needed for touchegg and utouch.

Anonymous comment on 2012-02-25 20:34

Yes, I installed all the required packages, but still no luck. The segmentation fault error is somehow related to the touchegg.conf file I think, cause sometimes after deleting and recreating the file, I don't got an error. But still touchegg doesn't recognize any gesture and on 5 finger tab I get following error: GRAIL WARNING (v3/gesture.cpp:IsOwned:253): failed to get touch from frame.

chenxiaolong commented on 2012-02-24 16:48

@paulincheck: Hmmm...I'll look into the segmentation fault error. For touchegg to work, Ubuntu's Xorg and uTouch needs to be installed, which is the following packages:


It's a lot of packages, but unfortunately all of them are needed :(. Please make sure all of them are installed.

Anonymous comment on 2012-02-24 13:57

Thank you very much for your work, at least I was able to install touchegg. But if I try to start it I get an segmentation fault error.
Any ideas how to fix this?

Is it necessary to install the xf86-input-synaptics-ubuntu as well? Cause without it I am not able to move the cursor at all.

chenxiaolong commented on 2012-02-13 23:01

@paulinchenk: It should be ready now :)

Anonymous comment on 2012-02-13 21:41


chenxiaolong commented on 2012-02-07 16:13

@paulinchenk: I'm currently in the process of updating the Ubuntu xorg package :-) I'll let you know when it's ready.

Anonymous comment on 2012-02-07 10:27

Hi there,

this is my first post here, just started wih Arch ...
How can I manage it, to get this working? At the moment I am stuck at installing xorg-server-common-ubuntu fails at build().
Thanks in advance

chenxiaolong commented on 2011-09-09 22:00

There is no GUI for version 1.0 yet.

Anonymous comment on 2011-09-09 16:49

Touchegg starts without errors or warnings but no GUI appears.

chenxiaolong commented on 2011-09-08 21:35

utouch currently requires a patched Xorg from Ubuntu to run. I haven't gotten that working, so there's no "xorg-server-common-ubuntu" on the AUR yet.

Anonymous comment on 2011-09-08 21:15

yup, now I can build it. But is there any other way to build touchegg properly without changing xorg-server-common to xorg-server-common-ubuntu?

chenxiaolong commented on 2011-09-08 16:55

@rzepa: Try install this package:

Anonymous comment on 2011-09-08 15:41

I'm trying to build touchegg but I got this error:
g++ -c -m64 -pipe -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector --param=ssp-buffer-size=4 -D_FORTIFY_SOURCE=2 -fno-strict-aliasing -Wall -W -D_REENTRANT -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED -I/usr/share/qt/mkspecs/linux-g++-64 -I. -I/usr/include/QtCore -I/usr/include/QtGui -I/usr/include -Ibuild -o build/GestureCollector.o src/touchegg/gestures/collector/GestureCollector.cpp
src/touchegg/gestures/collector/GestureCollector.cpp: In static member function ‘static QHash<QString, QVariant> GestureCollector::getGestureAttrs(GeisSize, GeisGestureAttr*)’:
src/touchegg/gestures/collector/GestureCollector.cpp:87:14: error: ‘GEIS_ATTR_TYPE_POINTER’ was not declared in this scope
make: *** [build/GestureCollector.o] Error 1
==> ERROR: A failure occurred in build().

How can I solve it?

Anonymous comment on 2011-09-05 02:17

Hi Chenxiaolong!

I'm the Touchñegg developper. The new v1.0 are available. Please, check your email, I need talk with you

Best regards

chenxiaolong commented on 2011-08-18 19:11

Also, utouch-grail is a 1 major version behind in Ubuntu 11.04. There may have be some changes in utouch-grail that prevents touchegg from running correctly.

I guess all we can do now is wait.

chenxiaolong commented on 2011-08-18 19:10

It may be a problem with utouch-geis. Ubuntu 11.04 uses version 2.0.10, while Ubuntu 11.10 uses 2.1.2. People have reported that touchegg also segfaults in Ubuntu 11.10.

chenxiaolong commented on 2011-08-18 19:05

Hmmm...touchegg segfaults for me no matter what Xorg input driver I use.

chenxiaolong commented on 2011-08-18 19:05

I just uploaded touchegg-svn. Try using that.

csousa commented on 2011-08-18 13:15

I installed touchegg from the pastbin, with pastebin utouch-...'s, and placed a rule in /etc/X11/xorg.cond.d so 'evdev' is used for touchpads instead of 'synaptics'.

However, touchegg segfaults.... (

Any clue?

chenxiaolong commented on 2011-08-18 12:11

Please update PKGBUILD with

I'm willing to adopt this package if no one else wants to maintain it.

Anonymous comment on 2011-07-22 17:19

With touchegg v3 the additional gui package are needed.

PKBUILD mods for touchegg-gui v3
< pkgname=touchegg-gui
< pkgver=0.3
< license=('GPL3')
< md5sums=('40862e903565bc871b1e277e82858a2e')
< cd "$srcdir/$pkgname"
< cd "$srcdir/$pkgname"

Anonymous comment on 2011-07-22 17:07

Compiled with v3, but get errors, when run touchegg:
*** glibc detected *** touchegg: free(): invalid pointer

PKBUILD mods for v3
< pkgver=0.3
< license=('GPL3')
< md5sums=('6cb8ae0f362a20d2f98100eef3f0b2ba')
< cd "$srcdir/$pkgname"
< cd "$srcdir/$pkgname"

Anonymous comment on 2011-03-14 14:20

is there any GTK+ alternative?

Anonymous comment on 2011-03-13 11:54

version 0.2 is out